For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all charge codes
        • GETGet a charge code by ID
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all recurring resident charges
        • GETGet recurring resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • POSTCreate Resident Charge: Rent Manager
        • POSTCreate Resident Credit: Rent Manager
        • POSTCreate Resident Recurring Charge: Rent Manager
        • PUTUpdate Recurring Resident Charge: Rent Manager
        • POSTCreate Resident Payment: Rent Manager
        • POSTBatch Create Resident Charges: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerBilling and Payments

Get a financial account by ID

GET
/v1/financial-accounts/:financial_account_id
GET
/v1/financial-accounts/:financial_account_id
$curl https://api.propexo.com/v1/financial-accounts/financial_account_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "GL123456789",
17 "x_property_id": "PROP987654321",
18 "x_location_id": "LOC456789123",
19 "name": "Main Operating Account",
20 "status_raw": null,
21 "account_number": "1234567890",
22 "custom_data": {},
23 "property_id": "clwi5xiix000008l6ctdgafyh",
24 "integration_id": "clwh5u07w000508me66sfh3um",
25 "integration_vendor": "RENTMANAGER"
26 }
27}
Get a financial account by ID
Was this page helpful?
Previous

Get all resident charges

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

financial_account_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error